user2172731 user2172731 - 2 months ago 34x
Java Question

How do i change logback version in spring boot?

I want to use logback smtp appender in my spring boot application, but somehow spring boot default logback 1.1.7 dependency does not work well with SMTP appenders. How can I downgrade spring boot provided logback library from 1.1.7 to 1.1.6? I am using gradle for build management.


It worked after i tried Andy's Answer, so now my build.gradle file looks like this

buildscript {
ext['logback.version'] = '1.1.6'


Your best bet is to override the logback.version property. This will ensure that you get the desired version of Logback everywhere:

ext['logback.version'] = '1.1.6'